#include "ros/ros.h"
#include "std_msgs/String.h"
#include <sstream>

int main(int argc, char **argv)
{
	ros::init(argc, argv, "fast_publisher");

	ros::NodeHandle n;

	ros::Publisher pub = n.advertise<std_msgs::String>("fast_publisher", 1000);

	int count = 0;
	while (ros::ok())
	{
		std_msgs::String msg;

		std::stringstream ss;
		ss << "FastPublisher " << count;
		msg.data = ss.str();

		pub.publish(msg);

		ros::spinOnce();

		++count;
	}

	return 0;
}